<?php
  $page_title = 'Edit color';
  require_once('includes/load.php');
  // Checkin What level user has permission to view this page
  page_require_level(1);
?>
<?php
  //Display all colors.
  $color = find_by_id_new('colordetails',(int)$_GET['ColorId'],'ColorId');
  if(!$color){
    $session->msg("d","Missing color id.");
    redirect('color.php');
  }
?>

<?php
if(isset($_POST['edit_colo'])){
  $req_field = array('color-name');
  validate_fields($req_field);
  $colo_name = remove_junk($db->escape($_POST['color-name']));
  
  if(empty($errors)){
        $sql = "UPDATE colordetails SET ColorName='{$colo_name}'";
       $sql .= " WHERE ColorId='{$color['ColorId']}'";
     $result = $db->query($sql);
     if($result && $db->affected_rows() === 1) {
       $session->msg("s", "Successfully updated Color");
       redirect('color.php',false);
     } else {
       $session->msg("d", "Sorry! Failed to Update");
       redirect('color.php',false);
     }
  } else {
    $session->msg("d", $errors);
    redirect('color.php',false);
  }
}
?>
<?php include_once('layouts/header.php'); ?>

<div class="row">
   <div class="col-md-12">
     <?php echo display_msg($msg); ?>
   </div>
   <div class="col-md-5">
     <div class="panel panel-default">
       <div class="panel-heading">
         <strong>
           <span class="glyphicon glyphicon-th"></span>
           <span>Editing <?php echo remove_junk(ucfirst($color['ColorName']));?></span>
        </strong>
       </div>
       <div class="panel-body">
         <form method="post" action="edit_color.php?ColorId=<?php echo (int)$color['ColorId'];?>">
           <div class="form-group">
               <input type="text" class="form-control" name="color-name" value="<?php echo remove_junk(ucfirst($color['ColorName']));?>">
           </div>
           <button type="submit" name="edit_colo" class="btn btn-primary">Update color</button>
       </form>
       </div>
     </div>
   </div>
</div>



<?php include_once('layouts/footer.php'); ?>
